Index: pjproject/branches/projects/uwp/pjsip/src/test/inv_offer_answer_test.c
===================================================================
--- pjproject/branches/projects/uwp/pjsip/src/test/inv_offer_answer_test.c	(revision 5512)
+++ pjproject/branches/projects/uwp/pjsip/src/test/inv_offer_answer_test.c	(revision 5513)
@@ -309,6 +309,6 @@
 	 */
 	uri = pj_str(CONTACT);
-	status = pjsip_dlg_create_uas(pjsip_ua_instance(), rdata,
-				      &uri, &dlg);
+	status = pjsip_dlg_create_uas_and_inc_lock(pjsip_ua_instance(), rdata,
+						   &uri, &dlg);
 	pj_assert(status == PJ_SUCCESS);
 
@@ -322,4 +322,5 @@
 	status = pjsip_inv_create_uas(dlg, rdata, sdp, inv_test.param.inv_option, &inv_test.uas);
 	pj_assert(status == PJ_SUCCESS);
+	pjsip_dlg_dec_lock(dlg);
 
 	TRACE_((THIS_FILE, "    Sending 183 with SDP"));
Index: pjproject/branches/projects/uwp/pjsip/src/test/transport_tcp_test.c
===================================================================
--- pjproject/branches/projects/uwp/pjsip/src/test/transport_tcp_test.c	(revision 5512)
+++ pjproject/branches/projects/uwp/pjsip/src/test/transport_tcp_test.c	(revision 5513)
@@ -38,4 +38,5 @@
     pj_status_t status;
     char url[PJSIP_MAX_URL_SIZE];
+    char addr[PJ_INET_ADDRSTRLEN];
     int rtt[SEND_RECV_LOOP], min_rtt;
     int i, pkt_lost;
@@ -58,5 +59,6 @@
 
     pj_ansi_sprintf(url, "sip:alice@%s:%d;transport=tcp",
-		    pj_inet_ntoa(rem_addr.sin_addr),
+		    pj_inet_ntop2(pj_AF_INET(), &rem_addr.sin_addr, addr,
+		    		  sizeof(addr)),
 		    pj_ntohs(rem_addr.sin_port));
 
Index: pjproject/branches/projects/uwp/pjsip/src/test/transport_test.c
===================================================================
--- pjproject/branches/projects/uwp/pjsip/src/test/transport_test.c	(revision 5512)
+++ pjproject/branches/projects/uwp/pjsip/src/test/transport_test.c	(revision 5513)
@@ -38,6 +38,7 @@
 	struct pj_in_addr addr;
 
-	/* Note: inet_aton() returns non-zero if addr is valid! */
-	if (pj_inet_aton(&tp->local_name.host, &addr) != 0) {
+	if (pj_inet_pton(pj_AF_INET(), &tp->local_name.host,
+			 &addr) == PJ_SUCCESS)
+	{
 	    if (addr.s_addr==PJ_INADDR_ANY || addr.s_addr==PJ_INADDR_NONE) {
 		PJ_LOG(3,(THIS_FILE, "   Error: invalid address name"));
Index: pjproject/branches/projects/uwp/pjsip/src/test/uri_test.c
===================================================================
--- pjproject/branches/projects/uwp/pjsip/src/test/uri_test.c	(revision 5512)
+++ pjproject/branches/projects/uwp/pjsip/src/test/uri_test.c	(revision 5513)
@@ -723,5 +723,5 @@
     url->user = pj_str("user");
     url->host = pj_str("::1");
-    url->maddr_param = pj_str("::01");
+    url->maddr_param = pj_str("[::01]");
     return (pjsip_uri*)url;
 }
@@ -733,5 +733,5 @@
     url = pjsip_sip_uri_create(pool, 0);
     url->host = pj_str("::1");
-    url->maddr_param = pj_str("::01");
+    url->maddr_param = pj_str("[::01]");
     return (pjsip_uri*)url;
 
Index: pjproject/branches/projects/uwp/version.mak
===================================================================
--- pjproject/branches/projects/uwp/version.mak	(revision 5512)
+++ pjproject/branches/projects/uwp/version.mak	(revision 5513)
@@ -1,5 +1,5 @@
 # Don't change the "export PJ_VERSION_xxx" style, they are parsed by setup.py
 export PJ_VERSION_MAJOR  := 2
-export PJ_VERSION_MINOR  := 4
+export PJ_VERSION_MINOR  := 5
 export PJ_VERSION_REV    := 5
 export PJ_VERSION_SUFFIX := -svn
